Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Backwards Compatibility Notes


Upgrading from ANY VERSION to 19.2 or later

  • New Message Queue System is a REQUIRED service that needs to be running for FileCloud to be functional from 19.1 or later.
  • Please ensure the Message Queue Service is running after upgrade before opening up for live access
  • You CANNOT upgrade Windows and Linux using the Admin Portal.

Anchor
upgrading
upgrading
Upgrading

As always, make a full backup of your existing installation before upgrading.

You must do a full upgrade to 19.2 or later.

Full Upgrade for Windows

You can use the Windows Upgrade tool to do a full upgrade.

Windows Update Tool

Full Upgrade for LINUX

FileCloud provides a script you can run to perform a full upgrade to version 19.2 or later.

...

Warning

Upgrading FileCloud from 17.3 or older to 19.2 or later in Linux 

If you are using Ubuntu versions earlier than 16.04 or older versions of Red Hat/CentOS/Fedora, a script for upgrade your installation to 19.2 or later is not available.
You will need to migrate your FileCloud installation manually to Ubuntu 16.04 or Red Hat/CentOS/Fedora that supports PHP 7.1 or later with the new MongoDB driver to use FileCloud 19.2 or later.



Anchor
ServerLink
ServerLink
Upgrading Systems that use ServerLink to 19.2 or Later

To upgrade systems running ServerLink, the following steps should be taken:

...